SystemOrganization addCategory: #'PW-Utilities'!

!Object methodsFor: '*pw-utilities' stamp: 'chc 1/28/2016 12:41'!
labelForSelector: aSymbol
	^ aSymbol asCapitalizedPhrase
! !

Object subclass: #PEGWikiTool
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Utilities'!

!PEGWikiTool commentStamp: 'chc 3/22/2016 09:27' prior: 0!
Start PEGWiki with: 

PEGWiki start 

This depends on the PWModelConfiguration singleton being populated so that requests like 

PWModelConfiguration instance valueAt: #port

return values. !

!PEGWikiTool class methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:53'!
initialize
	Smalltalk addToStartUpList: self! !

!PEGWikiTool class methodsFor: 'as yet unclassified' stamp: 'chc 3/24/2016 09:52'!
start
"use this to start the app"
	| authenticator app | 
	authenticator := ALMemoryAuthenticator new. 
	authenticator register: 'chriscunnington'
 					username: (PWSeasidePrefsModel instance valueAt: #username)
 					password: (PWSeasidePrefsModel instance valueAt: #password).

	app := ALExampleApplication new.
	app addFactory: [:term | ALAuthenticationRelay destination: term
						authenticator: authenticator 
						shunt: nil].
	(ALServer on: (PWSeasidePrefsModel instance valueAt: #port) application: app) start 

! !

!String methodsFor: '*pw-utilities' stamp: 'chc 1/28/2016 12:41'!
asCapitalizedPhrase
	|read words currentWord capitalizedWord|
	(self noneSatisfy: [:ea | ea isLowercase] ) ifTrue: [^ self].
	words _ WriteStream on: String new.
	read _ ReadStream on: self.
	[read atEnd] whileFalse:
		[currentWord _ WriteStream on: String new.
		currentWord nextPut: read next.
		[|x| x _ read peek. x isNil or: [x isUppercase]] whileFalse:
			[currentWord nextPut: read next].
		capitalizedWord _ currentWord contents capitalized.
			(#(Of In At A Or To By) includes: capitalizedWord)
				ifTrue: [capitalizedWord _ capitalizedWord asLowercase].
		words nextPutAll: capitalizedWord.
		words nextPutAll: ' '].
	words skip: -1.
	^ words contents ! !

!ALFormDataParser methodsFor: '*pw-utilities' stamp: 'chc 6/21/2016 07:46'!
parseAssociation
	| key value withpluses |
	key := in get.
	in get.
	withpluses := ((in reading ending: [ :e | '&' includes: e ]) rest) printString.
	value := withpluses replaceAll: $+ with: Character space.
	^ key -> value
	
	! !

!ALRestfulLocator class methodsFor: '*pw-utilities' stamp: 'chc 5/9/2016 11:56'!
initializeSingleton
	self instance: (self strategy: ALRandomUrlStrategy new)! !

!ALRestfulLocator class methodsFor: '*pw-utilities' stamp: 'chc 5/9/2016 11:59'!
instance
	^instance! !

!ALRestfulLocator class methodsFor: '*pw-utilities' stamp: 'chc 5/9/2016 11:58'!
instance: anObject
	instance := anObject! !

!ALRestfulLocator class methodsFor: '*pw-utilities' stamp: 'chc 5/9/2016 11:58'!
random
"	^ self strategy: ALRandomUrlStrategy new"
	^ instance" ifNil: [self strategy: ALRandomUrlStrategy new]"! !
PEGWikiTool initialize!
